%% get_data


function y = get_data(os)
%
% Use oscilloscope to measure
%   y = [freq v1 v2 v2/v1 phase]
% 

fprintf(os,'Autoscale');
pause(0.5);
fprintf(os,'Measure:Clear');
fprintf(os,'Measure:Freq CHAN1');
fprintf(os,'Measure:Vamp CHAN2');
fprintf(os,'Measure:Phase CHAN1,CHAN2');

% Read scope measurements

fprintf(os,'Measure:Freq? CHAN1');
freq = fscanf(os,'%g');
fprintf(os,'Measure:Vamp? CHAN1');
vin = fscanf(os,'%g');
fprintf(os,'Measure:Vamp? CHAN2');
vout = fscanf(os,'%g');
fprintf(os,'Measure:Phase? CHAN1, CHAN2');
phase = fscanf(os,'%g');
if (abs(phase)>1e5) 
    phase = 0.0;
end
y = [ freq vin vout vout/vin phase ];
if (nargout==0)
    fprintf('freq %g Hz vratio %g phase %g deg\n',freq,vout/vin,phase);
end
