%% Lab Demo 4


%% Open function generator and scope

instr_open;

% Set fg output load
fprintf(fg,'Output:Load INF');

%% take data

npts = 20;
freq = logspace(2,4,npts)';
y = zeros(npts,5);
for k=1:npts
    fprintf(fg,'FREQ %g',freq(k));
    y(k,:) = get_data(os);    
end

%% show data

subplot(2,1,1);
yratio = y(:,4);
yphase = y(:,5);
plot(freq,yratio,'ko-','LineWidth',2);
ylabel('voltage ratio');
subplot(2,1,2);
plot(freq,yphase,'ko-','LineWidth',2);
xlabel('frequency (Hz)');
ylabel('phase (degrees)');

%% look for 45-degree phase shift

idx = find(yphase>30 & yphase<60);
fz = interp1(yphase(idx),freq(idx),45);
fprintf(fg,'FREQ %g',fz);
get_data(os);

%% compare time constant to RC

fprintf('time constant %g usec\n',1e6/(2*pi*fz));
R = 3.8e3;
C = 0.022e-6;
tau = R*C;
fprintf('R %g ohms C %g uF tau %g usec.\n',R,C*1e6,tau*1e6);

%% Close all instruments

instr_close
clear
close all
